
D4Science Infrastructure - Incident #12178

MongoOperationManager - primary db not discovered. Backend will be instantiated with default value

Jul 17, 2018 06:58 PM - Massimiliano Assante

Status: Closed Start date: Jul 17, 2018

Priority: Normal Due date:  

Assignee: Massimiliano Assante % Done: 100%

Category: Other Estimated time: 0.00 hour

Target version: D4Science Infrastructure upgrade to

gCube 4.12

  

Infrastructure: Production   

Description

Since the upgrade today the logs in the gateway server are filled with this warning:

[PORTAL] 647936 [SpeciesFetchThread] WARN  org.gcube.contentmanagement.blobstorage.transport.backe

nd.MongoOperationManager - primary db not discovered. Backend will be instantiated with default va

lue

2018-07-17 16:53:42,114 WARN  o.g.c.b.t.b.MongoOperationManager [SpeciesFetchThread,initBackend:77

][PORTAL] 647936 [SpeciesFetchThread] WARN  org.gcube.contentmanagement.blobstorage.transport.back

end.MongoOperationManager - primary db not discovered. Backend will be instantiated with default v

alue

[PORTAL] 648017 [SpeciesFetchThread] WARN  org.gcube.contentmanagement.blobstorage.transport.backe

nd.MongoOperationManager - primary db not discovered. Backend will be instantiated with default va

lue

2018-07-17 16:53:42,195 WARN  o.g.c.b.t.b.MongoOperationManager [SpeciesFetchThread,initBackend:77

][PORTAL] 648017 [SpeciesFetchThread] WARN  org.gcube.contentmanagement.blobstorage.transport.back

end.MongoOperationManager - primary db not discovered. Backend will be instantiated with default v

alue

[PORTAL] 680854 [SpeciesFetchThread] WARN  org.gcube.contentmanagement.blobstorage.transport.backe

nd.MongoOperationManager - primary db not discovered. Backend will be instantiated with default va

lue

2018-07-17 16:54:15,032 WARN  o.g.c.b.t.b.MongoOperationManager [SpeciesFetchThread,initBackend:77

][PORTAL] 680854 [SpeciesFetchThread] WARN  org.gcube.contentmanagement.blobstorage.transport.back

end.MongoOperationManager - primary db not discovered. Backend will be instantiated with default v

alue

[PORTAL] 680939 [SpeciesFetchThread] WARN  org.gcube.contentmanagement.blobstorage.transport.backe

nd.MongoOperationManager - primary db not discovered. Backend will be instantiated with default va

lue

2018-07-17 16:54:15,117 WARN  o.g.c.b.t.b.MongoOperationManager [SpeciesFetchThread,initBackend:77

][PORTAL] 680939 [SpeciesFetchThread] WARN  org.gcube.contentmanagement.blobstorage.transport.back

end.MongoOperationManager - primary db not discovered. Backend will be instantiated with default v

alue

[PORTAL] 720759 [SpeciesFetchThread] WARN  org.gcube.contentmanagement.blobstorage.transport.backe

nd.MongoOperationManager - primary db not discovered. Backend will be instantiated with default va

lue

2018-07-17 16:54:54,937 WARN  o.g.c.b.t.b.MongoOperationManager [SpeciesFetchThread,initBackend:77

][PORTAL] 720759 [SpeciesFetchThread] WARN  org.gcube.contentmanagement.blobstorage.transport.back

end.MongoOperationManager - primary db not discovered. Backend will be instantiated with default v

alue

[PORTAL] 720841 [SpeciesFetchThread] WARN  org.gcube.contentmanagement.blobstorage.transport.backe

nd.MongoOperationManager - primary db not discovered. Backend will be instantiated with default va

lue

2018-07-17 16:54:55,019 WARN  o.g.c.b.t.b.MongoOperationManager [SpeciesFetchThread,initBackend:77

][PORTAL] 720841 [SpeciesFetchThread] WARN  org.gcube.contentmanagement.blobstorage.transport.back

end.MongoOperationManager - primary db not discovered. Backend will be instantiated with default v

alue

History

#1 - Jul 17, 2018 07:15 PM - Roberto Cirillo

- Status changed from New to Rejected
- % Done changed from 0 to 100

There was an upgrade on going. Re-open this ticket if the problem happen again

#2 - Jul 18, 2018 10:01 AM - Roberto Cirillo

- Status changed from Rejected to In Progress

I see that the problem is still there. I'm going to investigate, anyway this is just a log issue not a real problem.

#3 - Jul 18, 2018 10:01 AM - Roberto Cirillo

- % Done changed from 100 to 0

#4 - Jul 18, 2018 10:32 AM - Roberto Cirillo

- Status changed from In Progress to Feedback

- Assignee changed from Roberto Cirillo to Massimiliano Assante

#7 - Jul 18, 2018 06:07 PM - Massimiliano Assante

The patch is being distributed on the gateways 

#8 - Jul 24, 2018 09:47 AM - Roberto Cirillo

- Status changed from Feedback to Closed
